> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Save and activate a new glossary version

> Write path (GitOps):
  1. Validate YAML.
  2. Write workspace file + commit_and_push.
  3. On push conflict: sync + retry once (returns 409 if still fails).
  4. Sync Postgres mirror.

Legacy fallback (workspace not configured): Postgres-only.



## OpenAPI

````yaml /api-reference/memory-api.json put /v1/memory/glossary
openapi: 3.1.0
info:
  title: Strattum Memory API
  description: >-
    REST API that serves entity context — profile, timeline, graph, sources and
    formatted context — for agents and UIs. (PRD-003, Workstream 1.3)
  version: 1.0.0
servers: []
security: []
paths:
  /v1/memory/glossary:
    put:
      tags:
        - glossary
      summary: Save and activate a new glossary version
      description: |-
        Write path (GitOps):
          1. Validate YAML.
          2. Write workspace file + commit_and_push.
          3. On push conflict: sync + retry once (returns 409 if still fails).
          4. Sync Postgres mirror.

        Legacy fallback (workspace not configured): Postgres-only.
      operationId: save_glossary_v1_memory_glossary_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveGlossaryRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlossaryRecord'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SaveGlossaryRequest:
      properties:
        yaml_text:
          type: string
          title: Yaml Text
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      required:
        - yaml_text
      title: SaveGlossaryRequest
    GlossaryRecord:
      properties:
        id:
          type: integer
          title: Id
        version:
          type: integer
          title: Version
        yaml_text:
          type: string
          title: Yaml Text
        is_current:
          type: boolean
          title: Is Current
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        applied_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Applied At
        applied_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Applied By
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      required:
        - id
        - version
        - yaml_text
        - is_current
      title: GlossaryRecord
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````